Loading...
Searching...
No Matches
GetValue< BuildT > Struct Template Reference

Implements Tree::getValue(Coord), i.e. return the value associated with a specific coordinate `ijk`. More...

`#include <nanovdb/NanoVDB.h>`

## Static Public Member Functions

static auto | get (const NanoRoot< BuildT > &root)
static auto | get (const typename NanoRoot< BuildT >::Tile &tile)
static auto | get (const NanoUpper< BuildT > &node, uint32_t n)
static auto | get (const NanoLower< BuildT > &node, uint32_t n)
static auto | get (const NanoLeaf< BuildT > &leaf, uint32_t n)

## Detailed Description

template<typename BuildT>
struct nanovdb::GetValue< BuildT >

Implements Tree::getValue(Coord), i.e. return the value associated with a specific coordinate `ijk`.

Template Parameters

  BuildT | Build type of the grid being called

The value at a coordinate maps to the background, a tile value or a leaf value.

## Member Function Documentation

## get() [1/5]

template<typename BuildT >

static auto get | ( | const NanoLeaf< BuildT > & | leaf,
|  | uint32_t | n
| ) |  |

inlinestatic

## get() [2/5]

template<typename BuildT >

static auto get | ( | const NanoLower< BuildT > & | node,
|  | uint32_t | n
| ) |  |

inlinestatic

## get() [3/5]

template<typename BuildT >

static auto get | ( | const NanoRoot< BuildT > & | root | ) |

inlinestatic

## get() [4/5]

template<typename BuildT >

static auto get | ( | const NanoUpper< BuildT > & | node,
|  | uint32_t | n
| ) |  |

inlinestatic

## get() [5/5]

template<typename BuildT >

static auto get | ( | const typename NanoRoot< BuildT >::Tile & | tile | ) |

inlinestatic